Adds values to the end. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [push], [push$].<br>
> Similar: [push], [pop], [shift], [unshift].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.push(x, ...vs);
// x:  an array
// vs: values to add
```

```javascript
const array = require('extra-array');

var x = [1, 2];
array.push(x, 3);
// [ 1, 2, 3 ]

array.push(x, 3, 4);
// [ 1, 2, 3, 4 ]
```

### references

- [Array.prototype.push: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/push)
- [immutable-iterable-prototype: @azu](https://github.com/azu/immutable-iterable-prototype)

[:running:]: https://npm.runkit.com/@extra-array/push
[:package:]: https://www.npmjs.com/package/@extra-array/push
[:moon:]: https://www.npmjs.com/package/@extra-array/push.min
[:ledger:]: https://unpkg.com/@extra-array/push/
[push]: https://github.com/nodef/extra-array/wiki/push
[push$]: https://github.com/nodef/extra-array/wiki/push$
[pop]: https://github.com/nodef/extra-array/wiki/pop
[shift]: https://github.com/nodef/extra-array/wiki/shift
[unshift]: https://github.com/nodef/extra-array/wiki/unshift
[:vhs:]: https://asciinema.org/a/332112
